<?php



$tdataUser_Management = array();
$tdataUser_Management[".searchableFields"] = array();
$tdataUser_Management[".ShortName"] = "User_Management";
$tdataUser_Management[".OwnerID"] = "";
$tdataUser_Management[".OriginalTable"] = "mpgusers";


$defaultPages = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"view\":\"view\"}" );

$tdataUser_Management[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"view\":[\"view\"]}" );
$tdataUser_Management[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"view\":[\"view\"]}" ) );
$tdataUser_Management[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelsUser_Management = array();
$fieldToolTipsUser_Management = array();
$pageTitlesUser_Management = array();
$placeHoldersUser_Management = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsUser_Management["English"] = array();
	$fieldToolTipsUser_Management["English"] = array();
	$placeHoldersUser_Management["English"] = array();
	$pageTitlesUser_Management["English"] = array();
	$fieldLabelsUser_Management["English"]["ID"] = "ID";
	$fieldToolTipsUser_Management["English"]["ID"] = "";
	$placeHoldersUser_Management["English"]["ID"] = "";
	$fieldLabelsUser_Management["English"]["username"] = "Username";
	$fieldToolTipsUser_Management["English"]["username"] = "";
	$placeHoldersUser_Management["English"]["username"] = "";
	$fieldLabelsUser_Management["English"]["password"] = "Password";
	$fieldToolTipsUser_Management["English"]["password"] = "";
	$placeHoldersUser_Management["English"]["password"] = "";
	$fieldLabelsUser_Management["English"]["email"] = "Email";
	$fieldToolTipsUser_Management["English"]["email"] = "";
	$placeHoldersUser_Management["English"]["email"] = "";
	$fieldLabelsUser_Management["English"]["fullname"] = "Fullname";
	$fieldToolTipsUser_Management["English"]["fullname"] = "";
	$placeHoldersUser_Management["English"]["fullname"] = "";
	$fieldLabelsUser_Management["English"]["role"] = "Role";
	$fieldToolTipsUser_Management["English"]["role"] = "";
	$placeHoldersUser_Management["English"]["role"] = "";
	$fieldLabelsUser_Management["English"]["mobilenumber"] = "Mobilenumber";
	$fieldToolTipsUser_Management["English"]["mobilenumber"] = "";
	$placeHoldersUser_Management["English"]["mobilenumber"] = "";
	if (count($fieldToolTipsUser_Management["English"]))
		$tdataUser_Management[".isUseToolTips"] = true;
}


	$tdataUser_Management[".NCSearch"] = true;



$tdataUser_Management[".shortTableName"] = "User_Management";
$tdataUser_Management[".nSecOptions"] = 0;

$tdataUser_Management[".mainTableOwnerID"] = "";
$tdataUser_Management[".entityType"] = 1;

$tdataUser_Management[".strOriginalTableName"] = "mpgusers";

	



$tdataUser_Management[".showAddInPopup"] = false;

$tdataUser_Management[".showEditInPopup"] = false;

$tdataUser_Management[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataUser_Management[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataUser_Management[".listAjax"] = false;
//	temporary
$tdataUser_Management[".listAjax"] = false;

	$tdataUser_Management[".audit"] = false;

	$tdataUser_Management[".locking"] = false;


$pages = $tdataUser_Management[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataUser_Management[".edit"] = true;
	$tdataUser_Management[".afterEditAction"] = 1;
	$tdataUser_Management[".closePopupAfterEdit"] = 1;
	$tdataUser_Management[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataUser_Management[".add"] = true;
$tdataUser_Management[".afterAddAction"] = 1;
$tdataUser_Management[".closePopupAfterAdd"] = 1;
$tdataUser_Management[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataUser_Management[".list"] = true;
}

$tdataUser_Management[".updateSelected"] = true;


$tdataUser_Management[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataUser_Management[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataUser_Management[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataUser_Management[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataUser_Management[".printFriendly"] = true;
}



$tdataUser_Management[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataUser_Management[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataUser_Management[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataUser_Management[".isUseAjaxSuggest"] = true;

$tdataUser_Management[".rowHighlite"] = true;



						

$tdataUser_Management[".ajaxCodeSnippetAdded"] = false;

$tdataUser_Management[".buttonsAdded"] = false;

$tdataUser_Management[".addPageEvents"] = false;

// use timepicker for search panel
$tdataUser_Management[".isUseTimeForSearch"] = false;




$tdataUser_Management[".allSearchFields"] = array();
$tdataUser_Management[".filterFields"] = array();
$tdataUser_Management[".requiredSearchFields"] = array();

$tdataUser_Management[".googleLikeFields"] = array();
$tdataUser_Management[".googleLikeFields"][] = "ID";
$tdataUser_Management[".googleLikeFields"][] = "username";
$tdataUser_Management[".googleLikeFields"][] = "password";
$tdataUser_Management[".googleLikeFields"][] = "email";
$tdataUser_Management[".googleLikeFields"][] = "fullname";
$tdataUser_Management[".googleLikeFields"][] = "role";
$tdataUser_Management[".googleLikeFields"][] = "mobilenumber";



$tdataUser_Management[".tableType"] = "list";

$tdataUser_Management[".printerPageOrientation"] = 0;
$tdataUser_Management[".nPrinterPageScale"] = 100;

$tdataUser_Management[".nPrinterSplitRecords"] = 40;

$tdataUser_Management[".geocodingEnabled"] = false;




$tdataUser_Management[".isDisplayLoading"] = true;

$tdataUser_Management[".isResizeColumns"] = true;





$tdataUser_Management[".pageSize"] = 20;

$tdataUser_Management[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataUser_Management[".strOrderBy"] = $tstrOrderBy;

$tdataUser_Management[".orderindexes"] = array();

$tdataUser_Management[".sqlHead"] = "SELECT ID,  username,  password,  email,  fullname,  `role`,  mobilenumber";
$tdataUser_Management[".sqlFrom"] = "FROM mpgusers";
$tdataUser_Management[".sqlWhereExpr"] = "";
$tdataUser_Management[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataUser_Management[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataUser_Management[".arrGroupsPerPage"] = $arrGPP;

$tdataUser_Management[".highlightSearchResults"] = true;

$tableKeysUser_Management = array();
$tableKeysUser_Management[] = "ID";
$tdataUser_Management[".Keys"] = $tableKeysUser_Management;


$tdataUser_Management[".hideMobileList"] = array();




//	ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ID";
	$fdata["GoodName"] = "ID";
	$fdata["ownerTable"] = "mpgusers";
	$fdata["Label"] = GetFieldLabel("User_Management","ID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUser_Management["ID"] = $fdata;
		$tdataUser_Management[".searchableFields"][] = "ID";
//	username
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "username";
	$fdata["GoodName"] = "username";
	$fdata["ownerTable"] = "mpgusers";
	$fdata["Label"] = GetFieldLabel("User_Management","username");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "username";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "username";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUser_Management["username"] = $fdata;
		$tdataUser_Management[".searchableFields"][] = "username";
//	password
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "password";
	$fdata["GoodName"] = "password";
	$fdata["ownerTable"] = "mpgusers";
	$fdata["Label"] = GetFieldLabel("User_Management","password");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "password";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "password";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Password");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUser_Management["password"] = $fdata;
		$tdataUser_Management[".searchableFields"][] = "password";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "mpgusers";
	$fdata["Label"] = GetFieldLabel("User_Management","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "email";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUser_Management["email"] = $fdata;
		$tdataUser_Management[".searchableFields"][] = "email";
//	fullname
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "fullname";
	$fdata["GoodName"] = "fullname";
	$fdata["ownerTable"] = "mpgusers";
	$fdata["Label"] = GetFieldLabel("User_Management","fullname");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fullname";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fullname";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUser_Management["fullname"] = $fdata;
		$tdataUser_Management[".searchableFields"][] = "fullname";
//	role
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "role";
	$fdata["GoodName"] = "role";
	$fdata["ownerTable"] = "mpgusers";
	$fdata["Label"] = GetFieldLabel("User_Management","role");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "role";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`role`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUser_Management["role"] = $fdata;
		$tdataUser_Management[".searchableFields"][] = "role";
//	mobilenumber
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "mobilenumber";
	$fdata["GoodName"] = "mobilenumber";
	$fdata["ownerTable"] = "mpgusers";
	$fdata["Label"] = GetFieldLabel("User_Management","mobilenumber");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "mobilenumber";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "mobilenumber";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataUser_Management["mobilenumber"] = $fdata;
		$tdataUser_Management[".searchableFields"][] = "mobilenumber";


$tables_data["User_Management"]=&$tdataUser_Management;
$field_labels["User_Management"] = &$fieldLabelsUser_Management;
$fieldToolTips["User_Management"] = &$fieldToolTipsUser_Management;
$placeHolders["User_Management"] = &$placeHoldersUser_Management;
$page_titles["User_Management"] = &$pageTitlesUser_Management;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["User_Management"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["User_Management"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_User_Management()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ID,  username,  password,  email,  fullname,  `role`,  mobilenumber";
$proto0["m_strFrom"] = "FROM mpgusers";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "mpgusers",
	"m_srcTableName" => "User_Management"
));

$proto6["m_sql"] = "ID";
$proto6["m_srcTableName"] = "User_Management";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "username",
	"m_strTable" => "mpgusers",
	"m_srcTableName" => "User_Management"
));

$proto8["m_sql"] = "username";
$proto8["m_srcTableName"] = "User_Management";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "password",
	"m_strTable" => "mpgusers",
	"m_srcTableName" => "User_Management"
));

$proto10["m_sql"] = "password";
$proto10["m_srcTableName"] = "User_Management";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "mpgusers",
	"m_srcTableName" => "User_Management"
));

$proto12["m_sql"] = "email";
$proto12["m_srcTableName"] = "User_Management";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "fullname",
	"m_strTable" => "mpgusers",
	"m_srcTableName" => "User_Management"
));

$proto14["m_sql"] = "fullname";
$proto14["m_srcTableName"] = "User_Management";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "role",
	"m_strTable" => "mpgusers",
	"m_srcTableName" => "User_Management"
));

$proto16["m_sql"] = "`role`";
$proto16["m_srcTableName"] = "User_Management";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "mobilenumber",
	"m_strTable" => "mpgusers",
	"m_srcTableName" => "User_Management"
));

$proto18["m_sql"] = "mobilenumber";
$proto18["m_srcTableName"] = "User_Management";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "mpgusers";
$proto21["m_srcTableName"] = "User_Management";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "ID";
$proto21["m_columns"][] = "username";
$proto21["m_columns"][] = "password";
$proto21["m_columns"][] = "email";
$proto21["m_columns"][] = "fullname";
$proto21["m_columns"][] = "groupid";
$proto21["m_columns"][] = "active";
$proto21["m_columns"][] = "role";
$proto21["m_columns"][] = "mobilenumber";
$proto21["m_columns"][] = "active1";
$proto21["m_columns"][] = "reset_token";
$proto21["m_columns"][] = "reset_date";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "mpgusers";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "User_Management";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="User_Management";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_User_Management = createSqlQuery_User_Management();


	
		;

							

$tdataUser_Management[".sqlquery"] = $queryData_User_Management;

$tableEvents["User_Management"] = new eventsBase;
$tdataUser_Management[".hasEvents"] = false;

?>